<?php
/** TPJobs - Joomla Jobs Directory Component
* By templateplazza.com
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


/**
* @package Joomla
* @subpackage tptopitem
*/
class TOOLBAR_tpjobs 
{

	function _DEFAULT() {
		/*
		 * DEVNOTE: This should make sense by itself now... 
		 */
		JToolBarHelper::title( JText::_( 'Job Manager' ), 'generic.png' );    
		//JToolBarHelper::custom( 'removeproject', 'delete.png', 'delete_f2.png', 'Delete', true, false ); 
		//JToolBarHelper::custom( 'newproject', 'new.png', 'new_f2.png', 'New', false,  false ); 
		JToolBarHelper::preferences('com_tpjobs', 200);
		
	}
	
	//PACKET
	function _PACKET() {
		
		JToolBarHelper::title( JText::_( 'Packet Manager' ), 'generic.png' );    
		JToolBarHelper::custom( 'removepacket', 'delete.png', 'delete_f2.png', 'Delete', false, false ); 
		JToolBarHelper::custom( 'newpacket', 'new.png', 'new_f2.png', 'New', false,  false ); 
		JToolBarHelper::custom( 'buypacket', 'apply.png', 'apply_f2.png', 'Buy Packet', false,  false ); 
		JToolBarHelper::custom( 'viewbuypacket', 'archive.png', 'archive_f2.png', 'Packet Buyer', false,  false ); 

		
	}
	
	function _EDIT_PACKET($edit) {
		
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Packet Manager' ) .': <small><small>[ '. $text .' ]</small></small>', 'generic.png' );

		JToolBarHelper::custom( 'savepacket', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelpacket', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelpacket', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	
	function _BUY_PACKET() {
		$text =  JText::_( 'Buy' ) ;
		JToolBarHelper::title( JText::_( 'Packet Manager' ) .': <small><small>[ '.$text.' ]</small></small>', 'generic.png' );
		JToolBarHelper::custom( 'savebuypacket', 'save.png', 'save_f2.png', 'Buy', false,  false );		
		JToolBarHelper::custom( 'cancelbuypacket', 'cancel.png', 'cancel_f2.png', 'Cancel', false,  false );	

		
		
	}
	
	function _VIEW_BUY_PACKET() {
		
		JToolBarHelper::title( JText::_( 'Packet Manager : Buyer' ), 'generic.png' );    
		JToolBarHelper::custom( 'removepacket', 'delete.png', 'delete_f2.png', 'Delete', false, false ); 
		JToolBarHelper::custom( 'newpacket', 'new.png', 'new_f2.png', 'New', false,  false ); 
		JToolBarHelper::custom( 'buypacket', 'apply.png', 'apply_f2.png', 'Buy Packet', false,  false ); 
		JToolBarHelper::custom( 'packet', 'archive.png', 'archive_f2.png', 'Packet', false,  false ); 

		
	}
	
	function _TEXT()
	{
		JToolBarHelper::title( JText::_( 'Content Text' ), 'generic.png' );    
	}

	function _DET_TEXT()
	{
		JToolBarHelper::title( JText::_( 'Content Text' ), 'generic.png' );    
		JToolBarHelper::custom( 'savetext', 'save.png', 'save_f2.png', 'Save', false,  false );		
		JToolBarHelper::cancel( 'canceltext', 'Close' );		
  }
  
  //CONFIGURATION : PARAMETERS
	function _CONFIG() {		
		JToolBarHelper::title( JText::_( 'Configuration : All' ), 'generic.png' );
		/*JToolBarHelper::custom( 'saveconfig', 'save.png', 'save_f2.png', 'Save', false,  false );		
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false ); 
		JToolBarHelper::custom( 'salarytype','apply.png', 'applyw_f2.png', 'Salary Type', false, false ); 		
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );	
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );	
		*/	



    }
	
	 //CONFIGURATION : PARAMETER
	function _PARAMETER() {		
		JToolBarHelper::title( JText::_( 'Configuration : Parameters' ), 'generic.png' );
		JToolBarHelper::custom( 'saveparameter', 'save.png', 'save_f2.png', 'Save', false,  false );
	}
   
    //CONFIGURATION : COUNTRY
    function _COUNTRY() {		
		JToolBarHelper::title( JText::_( 'Configuration : Country ' ), 'generic.png' );
		JToolBarHelper::custom( 'removecountry', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newcountry', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );		
		*/
		
	}
	
	function _EDIT_COUNTRY($edit) {
		JToolBarHelper::title( JText::_( 'Configuration : Country ' ) .': <small><small>[ Edit ]</small></small>', 'generic.png' );
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Country Manager' ) .': <small><small>[ '. $text .' ]</small></small>', 'generic.png' );

		JToolBarHelper::custom( 'savecountry', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelcountry', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelcountry', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	//CONFIGURATION : MAJOR
	 function _MAJOR() {		
		JToolBarHelper::title( JText::_( 'Configuration : Major ' ), 'generic.png' );
		JToolBarHelper::custom( 'removemajor', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newmajor', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 	
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );		
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );		
		*/
	
	}
	
	function _EDIT_MAJOR($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Major ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savemajor', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelmajor', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelmajor', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	//CONFIGURATION : DEGREE LEVEL
	function _DLEVEL() {		
		JToolBarHelper::title( JText::_( 'Configuration : Degree Level ' ), 'generic.png' );
		JToolBarHelper::custom( 'removedlevel', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newdlevel', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false );
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 	
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );		
		*/
	
	
	}
	
	function _EDIT_DLEVEL($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Degree Level ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savedlevel', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceldlevel', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'canceldlevel', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	//CONFIGURATION : SALARY TYPE
	function _STYPE() {		
		JToolBarHelper::title( JText::_( 'Configuration : Salary Type ' ), 'generic.png' );
		JToolBarHelper::custom( 'removestype', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newstype', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 	
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );		
		*/

	}
	
	function _EDIT_STYPE($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Salary Type ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savestype', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelstype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelstype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	//CONFIGURATION : JOB EXPERIENCE
	function _JOBEXP() {		
		JToolBarHelper::title( JText::_( 'Configuration : Experience Level ' ), 'generic.png' );
		JToolBarHelper::custom( 'removejobexp', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newjobexp', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );	
		*/

	}
	
	function _EDIT_JOBEXP($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Experience Level ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savejobexp', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljobexp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'canceljobexp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}

	//CONFIGURATION : COMPANY TYPE
	function _COMPTYPE() {		
		JToolBarHelper::title( JText::_( 'Configuration : Company Type ' ), 'generic.png' );
		JToolBarHelper::custom( 'removecomptype', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newcomptype', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );	
		*/	

		
	}
	
	function _EDIT_COMPTYPE($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Company Type ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savecomptype', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelcomptype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelcomptype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	
	//CONFIGURATION : SALUTATION
	function _SALUTATION() {		
		JToolBarHelper::title( JText::_( 'Configuration : Salutation ' ), 'generic.png' );
		JToolBarHelper::custom( 'removesalutation', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newsalutation', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );		
		*/
	}
	
	function _EDIT_SALUTATION($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Salutation ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savesalutation', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelsalutation', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelsalutation', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	
	//CONFIGURATION : POSITION TYPE
	function _POSTYPE() {		
		JToolBarHelper::title( JText::_( 'Configuration : Position Type ' ), 'generic.png' );
		JToolBarHelper::custom( 'removepostype', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newpostype', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );	
		*/	
	}
	
	function _EDIT_POSTYPE($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Position Type ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savepostype', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelpostype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelpostype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	//CONFIGURATION : JOB SPECIALIZATION
	function _JOBSPEC() {		
		JToolBarHelper::title( JText::_( 'Configuration : Job Specialization ' ), 'generic.png' );
		JToolBarHelper::custom( 'removejobspec', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newjobspec', 'new.png', 'new_f2.png', 'New', false,  false ); 
		JToolBarHelper::custom( 'jobcateg', 'apply.png', 'apply_f2.png', 'Category', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );	
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		JToolBarHelper::custom( 'indcomp','apply.png', 'apply_f2.png', 'Industry', false, false );	
		*/
	}
	
	function _EDIT_JOBSPEC($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Job Specialization ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savejobspec', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljobspec', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'canceljobspec', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}
	
	
	//CONFIGURATION : JOB CATEGORY
	function _JOBCATEG() {		
		JToolBarHelper::title( JText::_( 'Configuration : Job Category ' ), 'generic.png' );
		JToolBarHelper::custom( 'removejobcateg', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newjobcateg', 'new.png', 'new_f2.png', 'New', false,  false ); 
		JToolBarHelper::custom( 'jobspec', 'apply.png', 'apply_f2.png', 'Job Specialization', false,  false ); 
		
		
	}
	
	function _EDIT_JOBCATEG($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Job Category ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savejobcateg', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljobcateg', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'canceljobcateg', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}

	
	//CONFIGURATION : INDUSTRY COMPANY
	function _INDCOMP() {		
		JToolBarHelper::title( JText::_( 'Configuration : Industry ' ), 'generic.png' );
		JToolBarHelper::custom( 'removeindcomp', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newindcomp', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		//other config		
		/*JToolBarHelper::custom( 'config','config.png', 'config_f2.png', 'Parameters', false,  false ); 
		JToolBarHelper::custom( 'country','apply.png', 'apply_f2.png', 'Country', false, false ); 
		JToolBarHelper::custom( 'dlevel','apply.png', 'apply_f2.png', 'Degree Level', false, false );
		JToolBarHelper::custom( 'major','apply.png', 'apply_f2.png', 'Major', false, false ); 
		JToolBarHelper::custom( 'stype','apply.png', 'apply_f2.png', 'Salary Type', false, false ); 
		JToolBarHelper::custom( 'jobexp','apply.png', 'apply_f2.png', 'Experience Level', false, false );	
		JToolBarHelper::custom( 'comptype','apply.png', 'apply_f2.png', 'Company Type', false, false );	
		JToolBarHelper::custom( 'salutation','apply.png', 'apply_f2.png', 'Salutation', false, false );	
		JToolBarHelper::custom( 'jobspec','apply.png', 'apply_f2.png', 'Job Specialization', false, false );	
		JToolBarHelper::custom( 'postype','apply.png', 'apply_f2.png', 'Position Type', false, false );	
		*/
	}
	
	function _EDIT_INDCOMP($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Configuration : Industry ' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'saveindcomp', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelindcomp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelindcomp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
		
	}

	//EMPLOYER
	function _EMPLOYER() {		
		JToolBarHelper::title( JText::_( 'Employer Manager ' ), 'generic.png' );
		JToolBarHelper::custom( 'removeemployer', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newemployer', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		
	}
	
	function _EDIT_EMPLOYER($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Employer Manager' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'saveemployer', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelemployer', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'cancelemployer', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		}
		
	}
	
	//JOBSEEKER
	function _JOBSEEKER() {		
		JToolBarHelper::title( JText::_( 'JobSeker Manager ' ), 'generic.png' );
		JToolBarHelper::custom( 'removejobseeker', 'delete.png', 'delete_f2.png', 'Delete', true, true ); 
		JToolBarHelper::custom( 'newjobseeker', 'new.png', 'new_f2.png', 'New', false,  false ); 
		
		
	}
	
	function _EDIT_JOBSEEKER($edit) {
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Jobseeker Manager' ) .': <small><small>['.$text.']</small></small>', 'generic.png' );
		

		JToolBarHelper::custom( 'savejobseeker', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the buttorn is renamed `close`
			JToolBarHelper::custom( 'canceljobseeker', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		} else {
			JToolBarHelper::custom( 'canceljobseeker', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		}
		
	}
	
	//BILLING
	function _BILLING() {		
		JToolBarHelper::title( JText::_( 'JobSeker Manager ' ),'generic.png' );
		JToolBarHelper::custom( 'approvebill', 'apply.png', 'apply_f2.png','Approve', true, true ); 
		 		
	}
	
	
	//JOB
	function _JOB() {
		
		JToolBarHelper::title( JText::_( 'Job Manager' ), 'generic.png' );    
		JToolBarHelper::custom( 'removejob', 'delete.png', 'delete_f2.png', 'Delete', false, false ); 
		JToolBarHelper::custom( 'newjob', 'new.png', 'new_f2.png', 'New', false,  false );		
	}
	
	function _EDIT_JOB($edit) {
		
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = ( $edit ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		JToolBarHelper::title( JText::_( 'Job Manager' ) .': <small><small>[ '. $text .' ]</small></small>', 'generic.png' );

		JToolBarHelper::custom( 'savejob', 'save.png', 'save_f2.png', 'Save', false,  false );		
		
		if ( $edit ) {
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljob', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			JToolBarHelper::custom( 'publishjob', 'publish.png', 'publish_f2.png', 'Publish', false,  false );
			
		} else {
			JToolBarHelper::custom( 'canceljob', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			
		}
		
	}
	
	
	function _PUBLISH_JOB() {
		
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		$text = JText::_( 'Publish' ) ;
		JToolBarHelper::title( JText::_( 'Job Manager' ) .': <small><small>[ '. $text .' ]</small></small>', 'generic.png' );		
		JToolBarHelper::custom( 'savepublishjob', 'publish.png', 'publish_f2.png', 'Publish', false,  false );
		JToolBarHelper::custom( 'canceljob', 'cancel.png', 'cancel_f2.png', 'Cancel', false,  false );	
			
		
		
	}
	
		
	
	
	


	
	
		
}
?>
