<?php
/**
 * @version		$Id: withdraw.php
 * @package		Joomla
 * @subpackage	tplancers
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant to the
 * GNU General Public License, and as distributed it includes or is derivative
 * of works licensed under the GNU General Public License or other free or open
 * source software licenses. See COPYRIGHT.php for copyright notices and
 * details.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


/**
 * @package		Joomla
 * @subpackage	TpLancer
 */
class TableWithdraw extends JTable
{
	
	/** @var int Primary key */
	var $id = null;
	
	/** @datetime */
	var $date	= null;
	
	/** @var int */
	var $userid 	= null;
	
	/** @var string */
	var $atype 	= null;
	
	/** @var wstring */
	var $wtype	= null;
	
	/** @var float */
	var $amount	= null;
	
	/** @var string */
	var $name		= null;
	
	/** @var string */
	var $address	= null;
	
	

	/** @var string */
	var $city		= null;
	
	/** @var string */
	var $zip		= null;
	
	/** @var string */
	var $email		= null;


	/** @var string */
	var $bankyourname	= null;

	/** @var string */
	var $bankname	= null;

	/** @var string */
	var $bankaddress	= null;


	/** @var string */
	var $bankaddress2	= null;

	/** @var string */
	var $bankcity	= null;

	/** @var string */
	var $bankstate	= null;

	/** @var string */
	var $bankcountry	= null;

	/** @var string */
	var $bankzip	= null;

	/** @var string */
	var $bankaccnum	= null;

	/** @var string */
	var $bankcode	= null;


	/** @var string */
	var $bankacctype	= null;
	
	/** @var string */
	var $status	= null;


	/** @var string */
	var $othercontent	= null;


	/** @var string */
	var $wfee	= null;


	/** @var string */
	var $namount	= null;
		
	
	/**
	* @param database A database connector object
	*/
	function __construct(&$db)
	{
		parent::__construct('#__tplancers_withdrawals', 'id', $db );
	}
	
	
}
?>