<?php
/**
* @version		$Id: admin.tpjobs.html.php 
* @package		Joomla
* @subpackage	TPJob
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
* @package		Joomla
* @subpackage	TPJob
*/
class HTML_tpjobs
{

/**
==================================================================================================================	
	SECTION : Packet
	1.showPacket
	2.editPacket
	3.newPacket
	4.buyPacket
	5.showBuyPacket
==================================================================================================================
*/
//showPacket
function showPacket( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Package' ); ?>
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Amount of Job' ); ?>
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Amount of Day' ); ?>
					</th>
					<th width="5%" align="left">
						<?php echo JText::_( 'Credit' ); ?>
					</th>
					<th width="35%" align="left">
						<?php echo JText::_( 'Active' ); ?>
					</th>
					
					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="8">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editpacket&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->packet; ?></a>					
					</td>
					<td>
					<?php echo $row->amount_job;?>
					</td>
					<td>
					<?php echo $row->amount_day;?>
					</td>
					<td>
					<?php echo $row->credit;?>
					</td>
					<td>
					<?php 
					if($row->is_active =='y'){ echo 'Yes'; }
					else { echo "No"; }
					
					?>
					</td>
				
					
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	

//editPacket	
function editPacket( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelpacket') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.amount_day.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill amount of day.', true ); ?>" );			
			} 
			else if ( form.amount_job.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill amount of job.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Job Package' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="packet" id="packet" size="60" maxlength="255" value="<?php echo $row->packet; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Amount of Job' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="amount_job" id="amount_job" size="60" maxlength="255" value="<?php echo $row->amount_job; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Amount of Day' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="amount_day" id="amount_day" size="60" maxlength="255" value="<?php echo $row->amount_day; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Credit' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="credit" id="credit" size="60" maxlength="255" value="<?php echo $row->credit; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Active' ); ?>:
						</label>
					</td>
					<td >
						<?php 
							$list_active = 	YesNo( 'is_active',$row->is_active?$row->is_active:'y');
							echo  $list_active;
						?>
					</td>
				</tr>
				
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savepacket" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}

//buyPacket
function buyPacket($option,$lists) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;		
			
			var form = document.adminForm;
			if (pressbutton == 'cancelbuypacket') {
				submitform( pressbutton );
				return;
			}
			
			// do field validation
			if ( form.id_packet.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select a package.', true ); ?>" );			
			} 
			else if ( form.employer_id.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select a employer.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Job Package' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_packet = getSelectPacket('id_packet','','',1) ;
							echo $list_packet;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Employer' ); ?>:
						</label>
					</td>
					<td >
						<?php echo $lists ;?>
					</td>
				</tr>
				
			
				
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savebuypacket" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}

//showBuyPacket
function showBuyPacket( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					
					
					<th width="10%" align="left">
						<?php echo JText::_( 'Date Buy' ); ?>
					</th>
					
					<th width="10%" align="left">
						<?php echo JText::_( 'Username' ); ?>
					</th>
					
					<th width="20%" align="left">
						<?php echo JText::_( 'Employer' ); ?>
					</th>
					<th width="10%" align="left">
						<?php echo JText::_( 'Package' ); ?>
					</th>
					<th width="5%" align="left">
						<?php echo JText::_( 'Amount of Job' ); ?>
					</th>
					<th width="5%" align="left">
						<?php echo JText::_( 'Expires' ); ?>
					</th>
					<th width="5%" align="left">
						<?php echo JText::_( 'Credit' ); ?>
					</th>
					<th width="5%" align="left">
						<?php echo JText::_( 'Used' ); ?>
					</th>
					<th align="left">
						<?php echo JText::_( 'Job' ); ?>
					</th>
					
					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="10">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editpacket&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					
					<td>
					<?php echo JHTML::_('date', $row->date_buy, '%Y-%m-%d');?>
					</td>
					
					<td>
					<?php echo $row->username; ?>				
					</td>
					
					<td>
					<?php echo $row->firstname; ?>&nbsp; <?php echo $row->lastname; ?>,<?php echo $row->salutation; ?>&nbsp;<?php echo $row->other_title; ?>							
					</td>
					
					<td>
					<?php echo $row->packet; ?>				
					</td>
					
					<td align="right">
					<?php echo $row->amount_job;?>
					</td>
					
					<td align="right">
					<?php echo $row->amount_day;?>
					</td>
					<td align="right">
					<?php echo $row->credit;?>
					</td>
					<td align="right">
					<?php 
					$job_use = countPacketUsed($row->id_packet,$row->id_trans);
					echo $job_use;
					?>
					</td>
					
					<td>
					<?php 
					if($job_use == 0){
						echo  "This package have not been used";					
					}else{
						$jobs = getPacketUsed($row->id_packet,$row->id_trans);
						?>
						<ul>
						<?php
						
						for($z=0;$z<count($jobs);$jobs++){
							$job= $jobs[$i];
							?>
							<li>
							<?php 
							$link_job  = JRoute::_( 'index.php?option=com_tpjobs&task=editjob&cid[]='. $job->id_job );
 							?>
							<a href="<?php echo $link_job;?>"><?php echo $job->title;?></a>
							
							</li>
							<?php
						}?>
						</ul>
						
						<?php
					
					}
					
					?>
					</td>
				
				   
					
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<?php 		
	}



/**
==================================================================================================================	
	SECTION : Configuration
	1.showConfig
	2.showCountry
	3.editCountry
	4.showMajor
	5.editMajor
	6.showDLevel
	7.editDLevel
	8.showSType
	9.editSType
	10.showJobExp
	11.editJobExp
	12.showCompType
	13.editCompType
==================================================================================================================
*/
//Configuration : Parameter
function showParameter($option){

	$db		=& JFactory::getDBO();
	$query = "SELECT params FROM #__components WHERE link='option=com_tpjobs' AND parent='0'";
	$db->setQuery($query);
	$jobsparams = $db->loadResult();
	$file 	= JPATH_ADMINISTRATOR .'\components\com_tpjobs\config.xml';
	
	$params = new JParameter( $jobsparams, $file, 'component' );

	jimport('joomla.html.pane');
	$pane = &JPane::getInstance('sliders', array('allowAllClose' => true));
?>
		<form action="index.php" method="post" name="adminForm">
<?

	echo $pane->startPane("menu-pane");

	echo $pane->startPanel(JText :: _('Currency'), "param-page");
	echo $params->render();
	echo $pane->endPanel();
	
	echo $pane->startPanel(JText :: _('Job Seeker Photo Size'), "param-page");
	echo $params->render('params', 'jobseeker_photo');
	echo $pane->endPanel();
	
	echo $pane->startPanel(JText :: _('File Type'), "param-page");
	echo $params->render('params', 'file');
	echo $pane->endPanel();

    echo $pane->startPanel(JText :: _('Price of 1 Credit'), "param-page");
	echo $params->render('params', 'price');
	echo $pane->endPanel();
	
	echo $pane->startPanel(JText :: _('Bonus'), "param-page");
	echo $params->render('params', 'bonus');
	echo $pane->endPanel();
	
	echo $pane->startPanel(JText :: _('Payment'), "param-page");
	echo $params->render('params', 'payment');
	echo $pane->endPanel();
	
	echo $pane->startPanel(JText :: _('Credit'), "param-page");
	echo $params->render('params', 'credit');
	echo $pane->endPanel();

	echo $pane->startPanel(JText :: _('Billing Detail'), "param-page");
	echo $params->render('params', 'billing');
	echo $pane->endPanel();

	echo $pane->endPane();

?>
	<input type="hidden" name="option" value="<?php echo $option; ?>" />
	<input type="hidden" name="task" value="saveparameter" />		
	<input type="hidden" name="boxchecked" value="0" />
	</form>
<? }

//Configuration : Parameter
function showConfig($option){?>
	
	
	<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="98%" align="left">
						<?php echo JText::_('TP JOB CONFIGURATION'); ?>
					</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>1.</td>
					<td>
					<?php
							$link_param = JRoute::_( 'index.php?option=com_tpjobs&task=parameter');
						?>
						<a href="<?php echo $link_param;?>"><?php echo JText::_( 'Parameter' ); ?></a>
					</td>
				</tr>
				<tr>
					<td>2.</td>
					<td>
					<?php
							$link_country = JRoute::_( 'index.php?option=com_tpjobs&task=country');
						?>
						<a href="<?php echo $link_country;?>"><?php echo JText::_( 'Country' ); ?></a>
					</td>
				</tr>
				<tr>
					<td>3.</td>
					<td>
					<?php
							$link_major = JRoute::_( 'index.php?option=com_tpjobs&task=major');
						?>
						<a href="<?php echo $link_major;?>"><?php echo JText::_( 'Major' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>4.</td>
					<td>
					<?php
							$link_degree_level = JRoute::_( 'index.php?option=com_tpjobs&task=dlevel');
						?>
						<a href="<?php echo $link_degree_level;?>"><?php echo JText::_( 'Degree Level' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>5.</td>
					<td>
					<?php
							$link_salary_type = JRoute::_( 'index.php?option=com_tpjobs&task=stype');
						?>
						<a href="<?php echo $link_salary_type;?>"><?php echo JText::_( 'Salary Type' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>6.</td>
					<td>
					<?php
							$link_job_exp = JRoute::_( 'index.php?option=com_tpjobs&task=jobexp');
						?>
						<a href="<?php echo $link_job_exp;?>"><?php echo JText::_( 'Job Experience' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>7.</td>
					<td>
					<?php
							$link_comp_type = JRoute::_( 'index.php?option=com_tpjobs&task=comptype');
						?>
						<a href="<?php echo $link_comp_type;?>"><?php echo JText::_( 'Company Type' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>8.</td>
					<td>
					<?php
							$link_salutation = JRoute::_( 'index.php?option=com_tpjobs&task=salutation');
						?>
						<a href="<?php echo $link_salutation;?>"><?php echo JText::_( 'Salutation' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>9.</td>
					<td>
					<?php
							$link_postype = JRoute::_( 'index.php?option=com_tpjobs&task=postype');
						?>
						<a href="<?php echo $link_postype;?>"><?php echo JText::_( 'Position Type' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>10.</td>
					<td>
					<?php
							$link_jobspec = JRoute::_( 'index.php?option=com_tpjobs&task=jobspec');
						?>
						<a href="<?php echo $link_jobspec;?>"><?php echo JText::_( 'Job Specialization' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>11.</td>
					<td>
					<?php
							$link_jobspec = JRoute::_( 'index.php?option=com_tpjobs&task=jobcateg');
						?>
						<a href="<?php echo $link_jobspec;?>"><?php echo JText::_( 'Job Category' ); ?></a>
					</td>
				</tr>
				
				<tr>
					<td>12.</td>
					<td>
					<?php
							$link_indcomp = JRoute::_( 'index.php?option=com_tpjobs&task=indcomp');
						?>
						<a href="<?php echo $link_indcomp;?>"><?php echo JText::_( 'Industry Company' ); ?></a>
					</td>
				</tr>
				
			</tbody>
	</table>
<?php	
}


//Configuration : Country
function showCountry( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Country' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editcountry&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->country; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="country" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editCountry( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelcountry') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.country.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill country name.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Country Name' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="country" id="country" size="60" maxlength="255" value="<?php echo $row->country; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savecountry" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Major
function showMajor( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Major' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editmajor&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->major; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="major" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editMajor( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelmajor') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.major.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill major name.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Major' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="major" id="major" size="60" maxlength="255" value="<?php echo $row->major; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savecountry" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Degree Level
function showDLevel( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Degree Level' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editdlevel&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->degree_level; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="dlevel" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editDLevel( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceldlevel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.degree_level.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill degree level name.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Degree Level' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="degree_level" id="degree_level" size="60" maxlength="255" value="<?php echo $row->degree_level; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savecountry" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration  : Salary Type
function showSType( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Salary Type' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editstype&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->type_salary; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="stype" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editSType( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelstype') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.type_salary.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill salary type name.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Salary Type' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="type_salary" id="type_salary" size="60" maxlength="255" value="<?php echo $row->type_salary; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savestype" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Job Experience
function showJobExp( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Experience Level' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editjobexp&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->exp_name; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="jobexp" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editJobExp( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljobexp') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.exp_name.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill job experience level name.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Experience Level' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="exp_name" id="exp_name" size="60" maxlength="255" value="<?php echo $row->exp_name; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savejobexp" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Company Type
function showCompType( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		
		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Company Type' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editcomptype&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->comp_type; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="comptype" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editCompType( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelcomptype') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.comp_type.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill company type .', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Company Type' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="comp_type" id="comp_type" size="60" maxlength="255" value="<?php echo $row->comp_type; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savecomptype" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}

//Configuration : Salutation
function showSalutation( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		
		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Salutation' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editsalutation&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->salutation; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="salutation" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editSalutation( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelsalutation') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.salutation.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill salutation .', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Salutation' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="salutation" id="salutation" size="60" maxlength="255" value="<?php echo $row->salutation; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savesalutation" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}

//Configuration : Position Type
function showPosType( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		
		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Position Type' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editpostype&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->pos_type; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="postype" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editPosType( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelpostype') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.pos_type.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill position type .', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Position Type' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="pos_type" id="pos_type" size="60" maxlength="255" value="<?php echo $row->pos_type; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savepostype" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Industry
function showIndustryComp( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		
		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Industry Type' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editindcomp&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->industry; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="indcomp" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editIndustryComp( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancelindustry') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.industry.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill industry type .', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Industry' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="industry" id="industry" size="60" maxlength="255" value="<?php echo $row->industry; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="saveindustry" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Job Specialization
function showJobSpec( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		
		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Job Specialization' ); ?>
					</th>
					
					</th>
					<th width="80%" align="left">
						<?php echo JText::_( 'Category' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="4">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editjobspec&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->specialization; ?></a>					
					</td>	
					
					<td>
					<?php echo $row->category;?>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="jobspec" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editJobSpec( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljobspec') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.specialization.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill job specialization .', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Specialization' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="specialization" id="specialization" size="60" maxlength="255" value="<?php echo $row->specialization; ?>" />
					</td>
				</tr>	
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Category' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_categ = getSelectJobCategory('id_category',$row->id_category,'');
						echo $list_categ;
						?>
					</td>
				</tr>	
				
										
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savejobspec" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//Configuration : Job Category
function showJobCateg( &$rows, &$pageNav, $option)
{	
		$user =& JFactory::getUser();		
		
		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="98%" align="left">
						<?php echo JText::_( 'Job Category' ); ?>
					</th>
										
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="3">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editjobcateg&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit?>"><?php echo $row->category; ?></a>					
					</td>										
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="jobcateg" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
}

function editJobCateg( $row, $option) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljobcateg') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.category.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill job category .', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Category' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="category" id="category" size="60" maxlength="255" value="<?php echo $row->category; ?>" />
					</td>
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savejobcateg" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}





/**
==================================================================================================================	
	SECTION : Employer
	1.showEmployer
	2.editEmployer
	3.newEmployer
==================================================================================================================
*/
//showEmployer
function showEmployer( &$rows, &$pageNav, $option)
	{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Employer Name' ); ?>
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Company Name' ); ?>
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Address' ); ?>
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'State' ); ?>
					</th>
					<th width="10%" align="left">
						<?php echo JText::_( 'Country' ); ?>
					</th>
					<th width="10%" align="left">
						<?php echo JText::_( 'Phone' ); ?>
					</th>
					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="8">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editemployer&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit;?>"><?php echo $row->firstname; ?>&nbsp;<?php echo $row->lastname; ?> ,<?php echo $row->salutation;?>&nbsp;<?php echo $row->other_title?> </a>					
					</td>
					<td>
					<?php echo $row->comp_name;?>
					</td>
					<td>
					<?php echo $row->street_addr;?>
					</td>
					<td>
					<?php echo $row->state;?>
					</td>
					<td>
					<?php echo $row->country;?>
					</td>
					<td>
					<?php echo $row->primary_phone;?>
					</td>
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="employer" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	

//editEmployer	
function editEmployer( $row, $option,$lists) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			var stripped = form.primary_phone.value.replace(/[\(\)\.\-\ ]/g, '');   
			var bill_phone_stripped = form.bill_phone.value.replace(/[\(\)\.\-\ ]/g, '');   
			var zip_stripped = form.zip.value.replace(/[\(\)\.\-\ ]/g, ''); 
			var bill_zip_stripped = form.bill_zip.value.replace(/[\(\)\.\-\ ]/g, ''); 
			
			if (pressbutton == 'cancelemployer') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.firstname.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill employer firstname.', true ); ?>" );			
			} 
			else if(form.id_salutation.value == '0')
			{
				alert( "<?php echo JText::_( 'Please enter employer salutation.', true ); ?>" );	
							
			}
			else if(form.comp_name.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter employer company name.', true ); ?>" );	
							
			}
				
			else if(form.primary_phone.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter employer primary phone.', true ); ?>" );								
			}
			else if (isNaN(parseInt(stripped))) {
				alert( "<?php echo JText::_( 'The phone number contains illegal characters.', true ); ?>" );	
							
			}		
			
			else if(form.street_addr.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter state.', true ); ?>" );
							
			}
			else if(form.state.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter state.', true ); ?>" );
							
			}
			
			else if(form.zip.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter zip postal.', true ); ?>" );								
			}
				
			else if (isNaN(parseInt(zip_stripped))) {
				alert( "<?php echo JText::_( 'The zip number contains illegal characters.', true ); ?>" );		
								
			}
				
			else if(form.id_country.value == '0')
			{
				alert( "<?php echo JText::_( 'Please enter employer country.', true ); ?>" );	
								
			}
				
			else if(form.id_comp_type.value == '0')
			{
				alert( "<?php echo JText::_( 'Please enter employer company type.', true ); ?>" );
							
			}
			else if(form.id_industry.value == '0')
			{
				alert( "<?php echo JText::_( 'Please enter employer company industry.', true ); ?>" );
							
			}
				
			else if(form.bill_addr.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter  address for billing.', true ); ?>" );
							
			}
			
			else if(form.bill_city.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter city of address for billing.', true ); ?>" );
							
			}
			
			else if(form.bill_state.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter state of address for billing.', true ); ?>" );
							
			}
			
			else if(form.bill_zip.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter zip postal of address for billing.', true ); ?>" );						
			}
				
			else if (isNaN(parseInt(bill_zip_stripped))) {
							
				alert( "<?php echo JText::_( 'The zip number for billing  contains illegal characters.', true ); ?>" );
							
			}
			
			else if(form.bill_id_country.value == '0')
			{
				alert( "<?php echo JText::_( 'Please enter country of address for billing.', true ); ?>" );
							
			}
			
			else if(form.bill_phone.value == '')
			{
				alert( "<?php echo JText::_( 'Please enter phone number for billing.', true ); ?>" );						
			}	
			
			else if (isNaN(parseInt(bill_phone_stripped))) {
				alert( "<?php echo JText::_( 'The phone  number for billing  contains illegal characters.', true ); ?>" );						
						
			}			
			
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'User Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'User Name' ); ?>:
						</label>
					</td>
					<td >
						<?php echo  $lists;?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'First Name' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="firstname" id="firstname" size="60" maxlength="100" value="<?php echo $row->firstname; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Last Name' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="lastname" id="lastname" size="60" maxlength="100" value="<?php echo $row->lastname; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Salutation' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_salutation = getSalutation('id_salutation',$row->id_salutation,'') ;
							echo $list_salutation;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Other Title' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="other_title" id="other_title" size="60" maxlength="255" value="<?php echo $row->other_title; ?>" />
					</td>
				</tr>
				
			    </table>
			</fieldset>
			</div>
			
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Company Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Company Name' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="comp_name" id="comp_name" size="60" maxlength="100" value="<?php echo $row->comp_name; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Primary Phone' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="primary_phone" id="primary_phone" size="60" maxlength="100" value="<?php echo $row->primary_phone; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Fax Number' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="fax_number" id="fax_number" size="60" maxlength="100" value="<?php echo $row->fax_number; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Street Address' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="street_addr" id="street_addr" size="60" maxlength="100" value="<?php echo $row->street_addr; ?>" />
					</td>
				</tr>
				
				
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Country' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_country = getSelectCountry('id_country',$row->id_country,'') ;
							echo $list_country;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'State' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="state" id="state" size="60" maxlength="255" value="<?php echo $row->state; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'City' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="city" id="city" size="60" maxlength="255" value="<?php echo $row->city; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Zip Postal' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="zip" id="zip" size="60" maxlength="255" value="<?php echo $row->zip; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Company Type' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_comp_type = getSelectCompType('id_comp_type',$row->id_comp_type,'') ;
							echo $list_comp_type;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Industry' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_industry = getSelectIndustry('id_industry',$row->id_industry,'') ;
							echo $list_industry;
						?>
					</td>
				</tr>
				
			    </table>
			</fieldset>
			</div>

			
		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Privacy Setting' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Show Name' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$show_name = YesNo( 'show_name',$row->show_name ? $row->show_name :'y' );
						echo  $show_name;						
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Show Location' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$show_location = YesNo( 'show_location', $row->show_location ? $row->show_location :'y' );
						echo  $show_location;						
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Show Phone' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$show_phone = YesNo( 'show_phone',$row->show_phone ? $row->show_phone :'y' );
						echo  $show_phone;						
						?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Show Fax' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$show_fax = YesNo( 'show_fax',$row->show_fax ? $row->show_fax :'y' );
						echo  $show_fax;						
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Show email' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$show_email = YesNo( 'show_email',$row->show_email ? $row->show_email :'y' );
						echo  $show_email;						
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Show Addrees' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$show_addr = YesNo( 'show_addr',$row->show_addr ? $row->show_addr :'y' );
						echo  $show_addr;						
						?>
					</td>
				</tr>
				
			    </table>
			</fieldset>
			</div>
			
			
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Billing Address' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Address' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="bill_addr" id="bill_addr" size="60" maxlength="255" value="<?php echo $row->bill_addr; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Address Cont' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="bill_addr_cont" id="bill_addr_cont" size="60" maxlength="255" value="<?php echo $row->bill_addr_cont; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'City' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="bill_city" id="bill_city" size="60" maxlength="255" value="<?php echo $row->bill_city; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'State' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="bill_state" id="bill_state" size="60" maxlength="255" value="<?php echo $row->bill_state; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Zip' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="bill_zip" id="bill_zip" size="60" maxlength="255" value="<?php echo $row->bill_zip; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Country' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_bill_country = getSelectCountry('bill_id_country',$row->bill_id_country,'') ;
						echo $list_bill_country;
						?>					
						
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Phone Number' ); ?>:
						</label>
					</td>
					<td >
						
						<input class="inputbox" type="text" name="bill_phone" id="bill_phone" size="60" maxlength="255" value="<?php echo $row->bill_phone; ?>" />					
						
					</td>
				</tr>
				
				
				
			    </table>
			</fieldset>
			</div>
			
			
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Plus / Minus  Credit' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Credit' ); ?>:
						</label>
					</td>
					<td >
					<input class="inputbox" type="text" name="credit" id="credit" size="30" maxlength="255" value="0" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Type' ); ?>:
						</label>
					</td>
					<td >
					<select name="type_credit">
						<option value="p">Plus</option>
						<option value="m">Minus</option>
					</select>
					
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Description' ); ?>:
						</label>
					</td>
					<td >
						
					<input class="inputbox" type="text" name="desc_credit" id="credit" size="60" maxlength="255"  />					
						
					</td>
				</tr>
				
								
			    </table>
			</fieldset>
			</div>

			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="saveemployer" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}

/**
==================================================================================================================	
	SECTION : JobSeker
	1.showJobSeeker
	2.editJobSeeker
	3.newJobSeeker
==================================================================================================================
*/

//showJobSeeker
function showJobSeeker( &$rows, &$pageNav, $option)
	{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Name' ); ?>
					</th>
					
					<th width="20%" align="left">
						<?php echo JText::_( 'Major' ); ?>
					</th>
					<th width="60%" align="left">
						<?php echo JText::_( 'Degree Level' ); ?>
					</th>
					
					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="5">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editjobseeker&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit;?>"><?php echo $row->name ?></a>					
					</td>
					<td>
					<?php echo $row->major;?>
					</td>
					<td>
					<?php echo $row->degree_level;?>
					</td>
					
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="employer" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	
//editjobSeeker	
function editjobSeeker( $row, $option,$lists) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljobseeker') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.current_position.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill firstname.', true ); ?>" );			
			} 
			else if ( form.id_major.value == "0" ) {
				alert( "<?php echo JText::_( 'You must fill major.', true ); ?>" );			
			} 
			else if ( form.id_degree_level.value == "0" ) {
				alert( "<?php echo JText::_( 'You must fill degree level.', true ); ?>" );			
			} 
			
			else if(form.id_industry1.value == '0')
			{
				alert( "<?php echo JText::_( 'Please insert your primary industry.', true ); ?>" );			
		
			}
				
			else if(form.id_industry2.value == '0')
			{
				alert( "<?php echo JText::_( 'Please insert your secondary industry.', true ); ?>" );						
			}
				
			else if(form.id_pos_type.value == '0')
			{
				alert( "<?php echo JText::_( 'Please insert your position type.', true ); ?>" );		
			}
				 
			else if(form.min_salary.value == '')
			{
				alert( "<?php echo JText::_( 'Please insert your minimum of salary.', true ); ?>" );				
			}
			
			else if (isNaN(parseInt(form.min_salary.value))){
				alert( "<?php echo JText::_( 'Please insert your minimum of salary in number.', true ); ?>" );
				
			}
				
			else if(form.currency_salary.value == '')
			{
				alert( "<?php echo JText::_( 'Please insert your currency of salary.', true ); ?>" );
			}			
			else {
				submitform( pressbutton );
			}
			
			
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm" enctype="multipart/form-data">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'User Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'User Name' ); ?>:
						</label>
					</td>
					<td >
						<?php echo  $lists;?>
					</td>
				</tr>		
			    </table>
			</fieldset>
			</div>
			
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Experience / Education' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Current Position' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="current_position" id="current_position" size="60" maxlength="100" value="<?php echo $row->current_position; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Major' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_major = getSelectMajor('id_major',$row->id_major,'') ;
						echo $list_major;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Degree Level' ); ?>:
						</label>
					</td>
					<td >
					<?php 
						$list_degree_level = getSelectDegreeLevel('id_degree_level',$row->id_degree_level,'') ;	   					   						echo $list_degree_level;
					?>	
						
					</td>
				</tr>										
			    </table>
			</fieldset>
			</div>

			
		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Desired Employment' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Primary Industry' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_primary_industry = getSelectIndustry('id_industry1',$row->id_industry1,'') ;	   					   	echo $list_primary_industry;					
						?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Secondary Industry' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_secondary_industry = getSelectIndustry('id_industry2',$row->id_industry2,'') ;	   					   	echo $list_secondary_industry;					
						?>
					</td>
				</tr>
					
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Position Type' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_position_type = getSelectPositionType('id_pos_type',$row->id_pos_type,'') ;	   					   						echo $list_position_type;					
						?>
					</td>
				</tr>
				
					<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Minimum Salary' ); ?>:
						</label>
					</td>
					<td nowrap="nowrap">
						
					    <input class="inputbox" type="text" name="min_salary" id="min_salary" size="40" maxlength="100" value="<?php echo $row->min_salary; ?>" />
						<?php 
						$list_salary_type = getSelectTypeSalary('id_type_salary',$row->id_pos_type,'') ;	   					   						echo $list_salary_type;					
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'In Currency' ); ?>:
						</label>
					</td>
					<td nowrap="nowrap">
						
						<input class="inputbox" type="text" name="currency_salary" id="currency_salary" size="10" maxlength="100" value="<?php echo $row->currency_salary; ?>" />
					    
						
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Upload Foto' ); ?>:
						</label>
					</td>
					<td nowrap="nowrap">
					  <?php
						global $mainframe;
						$img = JPATH_SITE.DS.'images'.DS.'tpjobs'.DS.$row->user_id.'.jpg';
						if(file_exists($img)) {
							$img = $mainframe->getSiteURL().'images/tpjobs/'.$row->user_id.'.jpg';
							echo '<img src="'.$img.'">';
						}
						else
						{
							$img = $mainframe->getSiteURL().'components/com_tpjobs/images/nophoto.gif';
							echo '<img src="'.$img.'">';
						}
						?>
						<input type="file" name="photo" class="inputbox" />
					</td>
				</tr>
				
				
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savejobseeker" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


/**
==================================================================================================================	
	SECTION : Billing
	1.showBilling
	2.edit Billing
	
==================================================================================================================
*/
//showBilling
function showBilling( &$rows, &$pageNav, $option)
	{	
		$user =& JFactory::getUser();	
		$post   = JRequest::get( 'post' );
		$search_name = (!empty($post['search_name'])) ? $post['search_name'] : null;
		$search_date_buy = (!empty($post['search_date_buy'])) ? $post['search_date_buy'] : null;
		$search_date_app  = (!empty($post['search_date_app'])) ? $post['search_date_app'] : null;
		$search_mode_pay  = (!empty($post['search_mode_pay'])) ? $post['search_mode_pay'] : null;
		$search_approval  = (!empty($post['search_approval'])) ? $post['search_approval'] : null;
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			
			<table border="0" width="99%">
			<tr>
				<td nowrap="nowrap">
				Filter &nbsp; <input type="text" name="search_name" value="<?php  echo $search_name;?>" />
				
				
				<?php echo JText::_( 'Mode Pay' ); ?> : <select name="search_mode_pay">
					<option value="a" <?php if($search_mode_pay == 'a') echo "selected";?>>
					<?php echo JText::_( 'All' ); ?>
					<option value="m"  <?php if($search_mode_pay == 'm') echo "selected";?>><?php echo JText::_( 'Manual' ); ?>
					<option value="p"  <?php if($search_mode_pay == 'p') echo "selected";?>><?php echo JText::_( 'Paypal' ); ?>
				</select>
				<?php echo JText::_( 'Approval' ); ?> : <select name ="search_approval">
					<option value="a" <?php if($search_approval == 'a') echo "selected";?>><?php echo JText::_( 'All' ); ?>
					<option value ="y" <?php if($search_approval == 'y') echo "selected";?>> <?php echo JText::_( 'Approved' ); ?>
					<option value="n" <?php if($search_approval == 'n') echo "selected";?>> <?php echo JText::_( 'Pending Approval' ); ?>
				</select>
				<?php echo JText::_( 'Date Buy' ); ?> :  
				<?php 
				echo JHTML::_('calendar', $search_date_buy, 'search_date_buy', 'search_date_buy', '%Y-%m-%d', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19'));?>
				
				<?php echo JText::_( 'Date Approval' ); ?> :  
				<?php 
				echo JHTML::_('calendar', $search_date_app, 'search_date_app', 'search_date_app', '%Y-%m-%d', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19'));?>
				<input type="button" value="Searching" onclick="javascript:document.adminForm.submit();" />
				</td>
			</tr>
			</table>
			
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					
					<th width="10%" align="left">
						<?php echo JText::_( 'Date' ); ?>
					</th>
					
					<th width="40%" align="left">
						<?php echo JText::_( 'Name' ); ?>
					</th>
					
					<th width="20%" align="left">
						<?php echo JText::_( 'Type' ); ?>
					</th>
					<th width="10%" align="left">
						<?php echo JText::_( 'Approve' ); ?>
					</th>
					
					<th width="10%" align="left">
						<?php echo JText::_( 'Approval Date' ); ?>
					</th>
					<th width="10%" align="left">
						<?php echo JText::_( 'Amount' ); ?>
					</th>
					<th width="10%" align="left">
						<?php echo JText::_( 'Credit Purchased' ); ?>
					</th>
					
					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="9">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<?php echo JHTML::_('date', $row->date_buy, '%Y-%m-%d') ?>
					</td>
					<td>
					
					<?php echo $row->firstname ?>&nbsp;<?php echo $row->lastname ?>,<?php echo $row->salutation; ?>&nbsp;<?php echo $row->other_title; ?>				
					</td>
					
					<td>
					<?php if($row->mode_pay == 'm') echo "Manual/Transfer"; else echo "Paypal";?>
					</td>
					
					<td>
					<?php if($row->approval == 'y') echo "Approved"; else echo "Pending Approval";?>
					</td>
					
					<td>
					<?php echo JHTML::_('date', $row->approval_date, '%Y-%m-%d') ?>
					</td>
					
					<td align="right">
					<?php echo $row->amount;?>
					</td>
					
					<td align="right">
					<?php echo $row->credit;?>
					</td>
					
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="billing" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	

//editBilling	
function editBilling( $row, $option,$lists) {
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljobseeker') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.current_position.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill firstname.', true ); ?>" );			
			} 
			else if ( form.id_major.value == "0" ) {
				alert( "<?php echo JText::_( 'You must fill major.', true ); ?>" );			
			} 
			else if ( form.id_degree_level.value == "0" ) {
				alert( "<?php echo JText::_( 'You must fill degree level.', true ); ?>" );			
			} 
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm" enctype="multipart/form-data">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'User Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'User Name' ); ?>:
						</label>
					</td>
					<td >
						<?php echo  $lists;?>
					</td>
				</tr>		
			    </table>
			</fieldset>
			</div>
			
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Experience / Education' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Current Position' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="current_position" id="current_position" size="60" maxlength="100" value="<?php echo $row->current_position; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Major' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_major = getSelectMajor('id_major',$row->id_major,'') ;
						echo $list_major;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Degree Level' ); ?>:
						</label>
					</td>
					<td >
					<?php 
						$list_degree_level = getSelectDegreeLevel('id_degree_level',$row->id_degree_level,'') ;	   					   						echo $list_degree_level;
					?>	
						
					</td>
				</tr>										
			    </table>
			</fieldset>
			</div>

			
		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Desired Employment' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Primary Industry' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_primary_industry = getSelectIndustry('id_industry1',$row->id_industry1,'') ;	   					   	echo $list_primary_industry;					
						?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Secondary Industry' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_secondary_industry = getSelectIndustry('id_industry2',$row->id_industry2,'') ;	   					   	echo $list_secondary_industry;					
						?>
					</td>
				</tr>
					
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Position Type' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						$list_position_type = getSelectPositionType('id_pos_type',$row->id_pos_type,'') ;	   					   						echo $list_position_type;					
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Minimum Salary' ); ?>:
						</label>
					</td>
					<td nowrap="nowrap">
					    <input class="inputbox" type="text" name="min_salary" id="min_salary" size="40" maxlength="100" value="<?php echo $row->min_salary; ?>" />
						<?php 
						$list_salary_type = getSelectTypeSalary('id_type_salary',$row->id_pos_type,'') ;	   					   						echo $list_salary_type;					
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Upload Foto' ); ?>:
						</label>
					</td>
					<td nowrap="nowrap">
					  <?php
						global $mainframe;
						$img = JPATH_SITE.DS.'images'.DS.'tpjobs'.DS.$row->user_id.'.jpg';
						if(file_exists($img)) {
							$img = $mainframe->getSiteURL().'images/tpjobs/'.$row->user_id.'.jpg';
							echo '<img src="'.$img.'">';
						}
						else
						{
							$img = $mainframe->getSiteURL().'components/com_tpjobs/images/nophoto.gif';
							echo '<img src="'.$img.'">';
						}
						?>
						<input type="file" name="photo" class="inputbox" />
					</td>
				</tr>
				
				
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savejobseeker" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


/**
==================================================================================================================	
	SECTION : Job
	1.showJob
	2.editJob
	3.publish job
	
==================================================================================================================
*/
//showJob
function showJob( &$rows, &$pageNav, $option)
	{	
		$user =& JFactory::getUser();		
		?>
		<form action="index.php?option=com_tpjobs" method="post" name="adminForm">	
			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'No' ); ?>
					</th>
					<th width="10" >
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="20%" align="left">
						<?php echo JText::_( 'Name' ); ?>
					</th>
					
					<th width="20%" align="left">
						<?php echo JText::_( 'Job Specialization' ); ?>
					</th>
					
					<th width="20%" align="left">
						<?php echo JText::_( 'Publish Date' ); ?>
					</th>
					<th  align="left">
						<?php echo JText::_( 'Expire Date' ); ?>
					</th>
					
					
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="6">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link_edit	= JRoute::_( 'index.php?option=com_tpjobs&task=editjob&cid[]='. $row->id );
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );

				
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<a href="<?php echo $link_edit;?>"><?php echo $row->job_title; ?></a>					
					</td>
					<td>
					<?php echo $row->specialization;?>
					</td>
					<td>
					<?php echo $row->publish_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->publish_date, '%Y-%m-%d') :  "&nbsp;"; ?>
					</td>
					
					<td>
					<?php echo $row->expire_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->expire_date, '%Y-%m-%d') :  "&nbsp;"; ?>
					</td>
					
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>

		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="job" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
<? 		
	}
	
	
//editJob	
function editJob($row,$lists,$option) {
	
	global $mainframe;	
	$editor1 =& JFactory::getEditor();
	$editor2 =& JFactory::getEditor();
	
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljob') {
				submitform( pressbutton );
				return;
			}
			
			// do field validation
			
			var long_desc  = <?php echo $editor2->getContent( 'long_desc' ); ?>
			var short_desc = <?php echo $editor1->getContent( 'short_desc' ); ?>
			
			if ( form.employer_id.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select employer first.', true ); ?>" );			
			} 
			
			else if ( form.job_title.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill job_title.', true ); ?>" );			
			} 
			else if ( form.id_country.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select Country.', true ); ?>" );			
			} 
			else if ( form.state.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill state.', true ); ?>" );			
			} 
			
			else if ( form.city.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill city.', true ); ?>" );			
			} 	
			
			
			else if ( form.id_job_spec.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select job specialization.', true ); ?>" );			
			} 
			
			
			else if ( form.id_pos_type.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select position type.', true ); ?>" );			
			} 
			
			else if ( form.id_job_exp.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select  minimal  experience level.', true ); ?>" );			
			} 
			
			else if ( form.id_degree_level.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select minimal Education.', true ); ?>" );			
			} 
			
			else if ( form.salary.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill salary for this job.', true ); ?>" );			
			} 
			
			else if ( form.currency_salary.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill currency of salary for this job.', true ); ?>" );			
			} 
			
			else if ( form.id_salary_type.value == "0" ) {
				alert( "<?php echo JText::_( 'You must select salary type.', true ); ?>" );			
			} 
			
			else if ( form.short_desc.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill short description.', true ); ?>" );			
			} 
			else if ( form.long_desc.value == "" ) {
				alert( "<?php echo JText::_( 'You must fill long description.', true ); ?>" );			
			}
			else {
				<?php echo $editor1->save( 'short_desc') ;?>		
				<?php echo $editor2->save( 'long_desc' ) ;?>	
						
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		
		
		<form action="index.php" method="post" name="adminForm">

			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Employer Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'User Name' ); ?>:
						</label>
					</td>
					<td >
						<?php echo  $lists;?>
					</td>
				</tr>
			 </table>
			</fieldset>
			</div>	
				<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Active Job' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Active' ); ?>:
						</label>
					</td>
					<td >
						<? $list_active = 	YesNo( 'is_active',$row->is_active?$row->is_active:'y');
							echo  $list_active;
						?>
					</td>
				</tr>
			 </table>
			</fieldset>
			</div>	
			
			<?php if($row->published_date != '0000-00-00 00:00:00' && count($rows) > 0){?>
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Published' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Published Date' ); ?>:
						</label>
					</td>
					<td >
						<?php echo $row->publish_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->publish_date, '%Y-%m-%d') :  "&nbsp;"; ?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Expires Date' ); ?>:
						</label>
					</td>
					<td >
						<?php echo $row->expire_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->expire_date, '%Y-%m-%d') :  "&nbsp;"; ?>
					</td>
				</tr>
			 </table>
			</fieldset>
			</div>	
			<?php } ?>
			
							
			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Job Information' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Job Title' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="job_title" id="job_title" size="60" maxlength="100" value="<?php echo $row->job_title; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Country' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_country = getSelectCountry('id_country',$row->id_country,'') ;
							echo $list_country;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'State' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="state" id="state" size="60" maxlength="255" value="<?php echo $row->state; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'City' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="city" id="city" size="60" maxlength="255" value="<?php echo $row->city; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Job Specialization' ); ?>:
						</label>
					</td>
					<td >
						<?php $list_job_spec = getSelectJobSpec('id_job_spec',$row->id_job_spec,'') ;
							echo $list_job_spec;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Position Type' ); ?>:
						</label>
					</td>
					<td >
						<?php 
						    $list_pos_tye = getSelectPositionType('id_pos_type',$row->id_pos_type,'') ;
							echo $list_pos_tye;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('MIN.EXPERIENCE'); ?>:
						</label>
					</td>
					<td >
						<?php $list_comp_type = getSelectExpLevel('id_job_exp',$row->id_job_exp,'') ;
							echo $list_comp_type;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('MIN.EDUCATION'); ?>:
						</label>
					</td>
					<td >
						<?php 
						    $list_degree_level= getSelectDegreeLevel('id_degree_level',$row->id_degree_level,'') ;
							echo $list_degree_level;
						?>
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Aproximate Salary' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="salary" id="salary" size="40" maxlength="255" value="<?php echo $row->salary; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Currency of Salary' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="currency_salary" id="currency_salary" size="40" maxlength="255" value="<?php echo $row->currency_salary; ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('SALARY TYPE'); ?>:
						</label>
					</td>
					<td >
						<?php 
						    $list_salary_type = getSelectTypeSalary('id_salary_type',$row->id_degree_level,'') ;
							echo $list_salary_type;
						?>
					</td>
				</tr>
				
				
				 </table>
			</fieldset>
			</div>				
						
		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Job Description' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Short Description' ); ?>:
						</label>
					</td>					
					<td>
					<?php echo $editor2->display('short_desc',$row->short_desc ,'100%', '200', '75', '5') ;?>
					</td>			
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Long Description' ); ?>:
						</label>
					</td>
					
					<td>
					<?php echo $editor2->display('long_desc',$row->long_desc ,'100%', '550', '75', '10') ;?>
					</td>
						
					
				</tr>							
			    </table>
			</fieldset>
			</div>
			
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savejob" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}


//publishJob
function publishJob($employer,$row,$lists,$option) {
	
	global $mainframe;	
	
	?>	
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'canceljob') {
				submitform( pressbutton );
				return;
			}
			
			// do field validation
			if ( form.expires.value == "0" ) {
				alert( "<?php echo JText::_( 'You must choose expire days.', true ); ?>" );			
			}
			else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>		
		
		<form action="index.php" method="post" name="adminForm">

			<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Please choose expire days' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Job Title' ); ?>:
						</label>
					</td>
					<td >
						<?php 
							echo $row->job_title;
						?>
						
					</td>
				</tr>
				
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_( 'Expire' ); ?>:
						</label>
					</td>
					<td >
						<?php 
							echo $lists;
						?>
						&nbsp; days
					</td>
				</tr>
			 </table>
			</fieldset>
			</div>	
						
			<input type="hidden" name="option" value="<?php echo $option; ?>" />
			<input type="hidden" name="task" value="savepublishjob" />
			<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
			<input type="hidden" name="boxchecked" value="0" />
		    <?php echo JHTML::_( 'form.token' ); ?>
			</form>
	
	<?php
	
}

/**
==================================================================================================================	
	SECTION : TEXT
==================================================================================================================
*/

function showText( &$rows, $option)
{
?>
<form action="index.php?option=com_tpjobs" method="post" name="adminForm">			
	<table class="adminlist">
	<thead>
	<tr>
		<th width="200"><?php echo JText::_( 'Name' ); ?></th>
		<th><?php echo JText::_( 'Description' ); ?></th>
	</tr>
	</thead>
	<?php
	for ($i=0, $n=count($rows); $i < $n; $i++)
	{
		$row = $rows[$i];
		$link = JRoute::_( 'index.php?option=com_tpjobs&task=edittext&name='. $row->name );
	?>
	<tr>
		<td align="left"><a href="<?php echo $link; ?>"><?php echo $row->name; ?></a></td>
		<td align="left"><?php echo $row->description; ?></td>
	</tr>
	<?php
	}
	?>
	</table>
	<?php	
}
	
function editText($row, $option)
{
$editor =& JFactory::getEditor();
?>
<form action="index.php?option=com_tpjobs" method="post" name="adminForm">			
<table class="admintable">
<tr>
	<td class="key">
		<label for="name">
		<?php echo JText::_( 'Name' ); ?>:
		</label>
	</td>
	<td >
		<b><?php echo $row->name; ?></b>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="desc">
		<?php echo JText::_( 'Description' ); ?>:
		</label>
	</td>
	<td >
		<input class="inputbox" type="text" name="description" id="description" size="60" maxlength="255" value="<?php echo $row->description; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="content">
		<?php echo JText::_( 'Content' ); ?>:
		</label>
	</td>
	<td >
		 <?php echo $editor->display( 'content',stripslashes($row->content) ,'100%', '300', '75', '20') ; ?>
	</td>
</tr>
</table>
<input type="hidden" name="option" value="<?php echo $option; ?>" />
<input type="hidden" name="task" value="savetext" />
<input type="hidden" name="name" value="<?php echo $row->name; ?>" />
</form>
<?php
}

}//end of class

?>