<?php
/**
 * @version		$Id: billing.php
 * @package		Joomla
 * @subpackage	tpjobs
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant to the
 * GNU General Public License, and as distributed it includes or is derivative
 * of works licensed under the GNU General Public License or other free or open
 * source software licenses. See COPYRIGHT.php for copyright notices and
 * details.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


/**
 * @package		Joomla
 * @subpackage	TpJobs
 */
class TableBilling extends JTable
{
	
	/** @var int Primary key */
	var $id = null;
	
	/** @var int */
	var $employer_id = null;
	
	/** @var int */
	var $credit	= null;
	
	/** @var datetime */
	var $date_buy 	= null;
	
	/** @var float */
	var $amount 	= null;
	
	/** @var char */
	var $approval 	= null;

	/** @var datetime */
	var $approval_date 	= null;

	/** @var char */
	var $mode_pay 	= null;
	
	/** @var string */
	var $address 	= null;	
	
	/** @var string */
	var $address_cont 	= null;	

	/** @var string */
	var $state 	= null;	
	
	/** @var string */
	var $city 	= null;	
	
	/** @var string */
	var $zip 	= null;	
	
	/** @var int */
	var $id_country 	= null;	
	
	/** @var varchar */
	var $phone = null;	
	
	/** @var int */
	var $id_trans = null;	
	
		
	/**
	* @param database A database connector object
	*/
	function __construct(&$db)
	{
		parent::__construct('#__tpjobs_billing', 'id', $db );
	}
	
	
}
?>