<?php
/** TPJobs - Joomla Jobs Directory Component
* By templateplazza.com
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );


/**
 * @package		Joomla
 * @subpackage	TPJobs
 */
class TableJob extends JTable
{
	
	/** @var int Primary key */
	var $id = null;
	
	/** @var string */
	var $job_title	= null;
	
	/** @var int */
	var $employer_id 	= null;
	
	/** @var int */
	var $id_degree_level 	= null;
	
	/** @var int */
	var $id_pos_type 	= null;
	
	/** @var int */
	var $id_salary_type 	= null;
	
	/** @var int */
	var $id_job_exp 	= null;
	
	/** @var int */
	var $id_job_spec 	= null;
	
	/** @var float */
	var $salary 		= null;
	
	/** @var string*/
	var $currency_salary = null;
	
	/** @var string */
	var $id_country	= null;
	
	/** @var string*/
	var $state	= null;
	
	/** @var string */
	var $city	= null;
	
	/** @var string */
	var $short_desc		= null;
	
	/** @var string */
	var $long_desc		= null;
	
	/** @var datetime */
	var $publish_date	= null;
	
	/** @var datetime */
	var $expire_date	= null;
	
	/** @var char */
	var $is_active	= null;
	
	
		
	/**
	* @param database A database connector object
	*/
	function __construct(&$db)
	{
		parent::__construct('#__tpjobs_job', 'id', $db );
	}
	
	
}
?>